[Launch]
ProgramExecutable=LogoDesigner\jeta.exe
WorkingDirectory=%PAL:AppDir%\LogoDesigner
SinglePortableAppInstance=true
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
JetaLogoDesigner=HKCU\Software\Jeta Logo Designer\Jeta Logo Designer
-=HKLM\SOFTWARE\Classes\.jeta
-=HKLM\SOFTWARE\Classes\JetaLogoProject

[RegistryCleanupIfEmpty]
1=HKCU\Software\Jeta Logo Designer

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\JetaLogoDesigner.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\JetaLogoDesigner.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\JetaLogoDesigner.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\